package test.org.brains2b.typewriter;

import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.Vector;

import junit.framework.TestCase;

import org.brains2b.typewriter.ClassTemplate;
import org.brains2b.typewriter.CommentTemplate;

/** Unit test for org.brains2b.typewriter.CommentTemplate
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version 0.10 [27-08-2004]
 * @see org.brains2b.typewriter.CommentTemplate
 */
public class CommentTemplateTest extends TestCase {
	
	public final static String IMPORT_TEST="import javax.swing.JFrame;\n\npublic class Test {\n\n}\n";	
    public final static String WRITE_TEST="/*\n * Significant comment\n */\n";	
	
    /**
     * Constructor for CommentTemplateTest.
     * @param arg0
     */
    public CommentTemplateTest(String arg0) {
        super(arg0);
    }

    public static void main(String[] args) {
        junit.swingui.TestRunner.run(CommentTemplateTest.class);
    }

    public void testAddText() {
    	final String test="Significant comment";
    	CommentTemplate dt=new CommentTemplate();
    	dt.addText(test);
    	assertEquals(1,dt.getContent().size());
    	assertEquals(test,dt.getContent().get(0));
    }
    
	public void testAddImport() {
		final ClassTemplate ct=new ClassTemplate("Test",null,null);
		CommentTemplate dt=new CommentTemplate();
		dt.setParent(ct);
		dt.addImport("javax.swing.JFrame");
		StringWriter sw=new StringWriter();
		PrintWriter pw=new PrintWriter(sw);
		ct.write(pw,0);
		pw.close();
		assertEquals(IMPORT_TEST,sw.toString());
	}

	public void testContent() {
		CommentTemplate dt=new CommentTemplate();
		assertNotNull(dt.getContent());
		assertTrue(dt.getContent().isEmpty());
		dt.addText("Significant comment");
		assertTrue(!dt.getContent().isEmpty());
		Vector v=new Vector();
		v.add("Insignificant comment");
		dt.setContent(v);
		assertEquals(1,dt.getContent().size());
		assertEquals("Insignificant comment",dt.getContent().get(0));
		dt.setContent(null);
		assertNotNull(dt.getContent());
		assertTrue(dt.getContent().isEmpty());
	}

	public void testParent() {
		final ClassTemplate ct=new ClassTemplate("Test",null,null);
		CommentTemplate dt=new CommentTemplate();
		dt.setParent(ct);
		assertEquals(ct,dt.getParent());
	}

	public void testWrite() {
		final String test="Significant comment";
		CommentTemplate dt=new CommentTemplate();
		dt.addText(test);
		assertEquals(1,dt.getContent().size());
		StringWriter sw=new StringWriter();
		PrintWriter pw=new PrintWriter(sw);
		dt.write(pw,0);
		pw.close();
		assertEquals(WRITE_TEST,sw.toString());
		
	}

   

}
