/* 	ExceptionTemplateTest.java
 *	Copyright (c) 2004, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: Aug 27, 2004
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package test.org.brains2b.typewriter;

import java.io.PrintWriter;
import java.io.StringWriter;

import org.brains2b.typewriter.ExceptionTemplate;
import org.brains2b.typewriter.TypeWriterException;

import junit.framework.TestCase;

/** Unit test for org.brains2b.typewriter.ExceptionTemplate
 * 
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version 0.10 [27-08-2004]
 * @see org.brains2b.typewriter.ExceptionTemplate
 */
public class ExceptionTemplateTest extends TestCase {
	public final static String EX_TEST="} catch (RuntimeException rex) {\n";
	public final static String EX_TEST2="} catch (DataException dex) {\n";
    /**
     * Constructor for ExceptionTemplateTest.
     * @param arg0
     */
    public ExceptionTemplateTest(String arg0) {
        super(arg0);
    }

    public static void main(String[] args) {
        junit.swingui.TestRunner.run(ExceptionTemplateTest.class);
    }

    /*
     * Test for void ExceptionTemplate(Class)
     */
    public void testExceptionTemplateClass() {
    	ExceptionTemplate et=new ExceptionTemplate(RuntimeException.class.getName());
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	et.write(pw,0);
    	pw.close();
    	assertEquals(EX_TEST,sw.toString());
    }

    /*
     * Test for void ExceptionTemplate(String)
     */
    public void testExceptionTemplateString() {
    	ExceptionTemplate et=new ExceptionTemplate("org.brains2b.data.DataException");
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	et.write(pw,0);
    	pw.close();
    	assertEquals(EX_TEST2,sw.toString());
    }
    
     public void testExceptionTemplateNull() {
    	ExceptionTemplate et=new ExceptionTemplate((String)null);
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	try {
    		et.write(pw,0);
    		assertTrue(false);
    	} catch (TypeWriterException twex) {
    		assertTrue(true);
    		assertEquals("Cannot create ExceptionTemplate without an Exception",twex.getMessage());
    	}
    	pw.close();
    	
    }
    

}
