package test.org.brains2b.typewriter;

import java.io.PrintWriter;
import java.io.StringWriter;

import org.brains2b.typewriter.LoopTemplate;

import junit.framework.TestCase;

/** Unit test for org.brains2b.typewriter.LoopTemplate
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version 0.10 [21-08-2004]
 * @see org.brains2b.typewriter.LoopTemplate
 */
public class LoopTemplateTest extends TestCase {
	public static final String FOR="for (int i=0;i<500;i++) {\n    j=i;\n}\n";
	public static final String WHILE="while (a<b) {\n}\n";
	public static final String DO="do {\n} while (a>b)\n";
	public static final String CONDITION="while (x<>y) {\n}\n";
    /**
     * Constructor for LoopTemplateTest.
     * @param arg0
     */
    public LoopTemplateTest(String arg0) {
        super(arg0);
    }

    public static void main(String[] args) {
        junit.swingui.TestRunner.run(LoopTemplateTest.class);
    }

    public void testFor() {
    	LoopTemplate lt=new LoopTemplate(LoopTemplate.FOR,"int i=0;i<500;i++");
    	lt.addText("j=i;");
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	lt.write(pw,0);
    	pw.flush();
    	assertEquals(FOR,sw.toString());
    }
    
    public void testWhile() {
    	LoopTemplate lt=new LoopTemplate(LoopTemplate.WHILE,"a<b");
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	lt.write(pw,0);
    	pw.flush();
    	assertEquals(WHILE,sw.toString());
    	
    }

    public void testDo() {
    	LoopTemplate lt=new LoopTemplate(LoopTemplate.DO,"a>b");
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	lt.write(pw,0);
    	pw.flush();
    	assertEquals(DO,sw.toString());
    }
    
    public void testSetCondition() {
    	LoopTemplate lt=new LoopTemplate(LoopTemplate.WHILE,null);
    	lt.setCondition("x<>y");
    	StringWriter sw=new StringWriter();
    	PrintWriter pw=new PrintWriter(sw);
    	lt.write(pw,0);
    	pw.flush();
    	assertEquals(CONDITION,sw.toString());
    	
    }
}
