/* 	TypeWriterHelperTest.java
 *	Copyright (c) 2004, Brains2B.org
 *	
 *	Created by: Dennis Groenendijk
 *	Created on: Aug 20, 2004
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that  * the following conditions are met:
 * 
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and 
 * the following disclaimer. 
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and
 * the following disclaimer in the documentation and/or other materials provided with the distribution. 
 * 3. The name of the author may not be used to endorse or promote products derived from this software 
 * without specific prior written permission. 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
 * CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY 
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package test.org.brains2b.typewriter;

import java.lang.reflect.Modifier;

import javax.swing.JOptionPane;

import junit.framework.TestCase;

import org.brains2b.typewriter.TypeWriterHelper;

/** Unit test for TypeWriterHelper
 *
 * @author <A HREF="MAILTO:dennis@brains2b.nl">dennis@brains2b.nl</A>
 * @version 0.10 [20-08-2004]
 */
public class TypeWriterHelperTest extends TestCase {

	public static void main(String[] args) {
		junit.swingui.TestRunner.run(TypeWriterHelperTest.class);
	}

	/**
	 * Constructor for TypeWriterHelperTest.
	 * @param arg0
	 */
	public TypeWriterHelperTest(String arg0) {
		super(arg0);
	}

	/*
	 * Class under test for String getClassName(Class)
	 */
	public void testGetClassNameClass() {
		assertEquals("JOptionPane",TypeWriterHelper.getClassName(JOptionPane.class));
		assertEquals("JDialog",TypeWriterHelper.getClassName(javax.swing.JDialog.class));
		assertNull(TypeWriterHelper.getClassName((Class)null));
	}

	/*
	 * Class under test for String getClassName(String)
	 */
	public void testGetClassNameString() {
		assertEquals("JOptionPane",TypeWriterHelper.getClassName("javax.swing.JOptionPane"));
		assertEquals("JButton",TypeWriterHelper.getClassName("JButton"));
		assertNull(TypeWriterHelper.getClassName((String)null));
		assertNull(TypeWriterHelper.getClassName(""));
	}

	public void testGetModifiers() {
		assertEquals("public ",TypeWriterHelper.getModifiers(Modifier.PUBLIC));
		assertEquals("private ",TypeWriterHelper.getModifiers(Modifier.PRIVATE));
		assertEquals("protected static ",TypeWriterHelper.getModifiers(Modifier.PROTECTED+Modifier.STATIC));
		assertEquals("private final static ",TypeWriterHelper.getModifiers(Modifier.PRIVATE+Modifier.FINAL+Modifier.STATIC));
		assertEquals("",TypeWriterHelper.getModifiers(0));
	}

	public void testMakeString() {
		assertEquals("\"Quote this\"",TypeWriterHelper.makeString("Quote this"));
		assertEquals("\"100\"",TypeWriterHelper.makeString("100"));
		assertNull(TypeWriterHelper.makeString(""));
		assertNull(TypeWriterHelper.makeString(null));
	}
	
}
